<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateModelAttributesSchemaTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('model_attributes_schema', function (Blueprint $table) {
            $table->increments('id');
            $table->string('field')->index();
            $table->string('type');
            $table->boolean('allow_null');
            $table->string('model')->index();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('model_attributes_schema');
    }
}
